List received emails (without bodies)
Keyset pagination; cursor is ${received_at}|${id}. Supports recipient/sender/subject (match=exact|fuzzy), sender_domain, q fuzzy search, and a since/until received-at range; does not search bodies.
bearerAuthAuthorizationBearer <token>Mailly API key(Authorization: Bearer )
address_id?stringFilter by inbox address
folder?stringinbox or quarantine, default inbox
limit?stringDefault 20, max 100
cursor?stringKeyset pagination cursor
recipient?stringRecipient (to_address); see match for the matching mode
sender?stringSender email; fuzzy matching also matches the display name
subject?stringSubject; see match for the matching mode
match?stringMatching mode for recipient/sender/subject: exact (default, case-insensitive full match) or fuzzy (contains)
q?stringFuzzy search across recipient, sender, display name, and subject; does not search the body
sender_domain?stringSender domain; case-insensitive exact domain match (subdomains excluded), uses an index
since?stringReceived-at lower bound (inclusive): Unix seconds or ISO 8601; a date alone means UTC midnight
until?stringReceived-at upper bound (exclusive): Unix seconds or ISO 8601; a date alone means UTC midnight
Email list
application/json- response
success*booleanmessages*array<>cursor*string|null[key: string]?unknowncurl -X GET 'https://api.mailly.site/inbox/messages'{ "success": true, "messages": [ { "property1": null, "property2": null } ], "cursor": "string", "property1": null, "property2": null}